QGIS Application - Bug report #8232

QgsVectorDataProvider.uniqueValues() crash if there is a NULL value in selected index field

2013-07-07 08:11 AM - Daniel Vaz

Status: Closed

Priority: High

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: up-/downstream
Crashes QGIS or corrupls data: Copied to github as #: 17044
Description

If there are NULL values in field of a shapefile, the python Qgis APl method  QgsVectorDataProvider.uniqueValues

raises a segmentation fault.

There is sample dataset attached and a python standalone minimal application that shows the bug.

Associated revisions

Revision bf1d1b04 - 2013-07-08 10:34 PM - Jiirgen Fischer

ogr provider: avoid GDAL #4509 (fixes #8232)

History

#1 - 2013-07-07 08:14 AM - Daniel Vaz

This bug was found while attempt to solve the bug #8219.

#2 - 2013-07-07 03:02 PM - Daniel Vaz
- File bug8232.cpp added

The main cause is underlying c++ code. The following code attached shows the bug in c++

#3 - 2013-07-07 03:30 PM - Jiirgen Fischer
- Resolution set to up-/downstream

apparently a GDAL/OGR problem:
$ ogrinfo -sql 'SELECT DISTINCT "name" FROM "polygons" ORDER BY name ASC'.
INFO: Open of ™'
using driver 'ESRI Shapefile' successful.
Layer name: polygons

Geometry: Polygon

Segmentation fault (core dumped)
#4 - 2013-07-07 03:37 PM - Jiirgen Fischer

- Subject changed from Python APl QgsVectorDataProvider.uniqueValues() crash if there is a NULL value in selected index field to

QgsVectorDataProvider.uniqueValues() crash if there is a NULL value in selected index field

#5 - 2013-07-07 03:37 PM - Jiirgen Fischer
- Category changed from Python plugins to Vectors

#6 - 2013-07-07 04:23 PM - Jiirgen Fischer

Reproducable with GDAL 1.9, but not 1.10.

#7 - 2013-07-08 12:46 PM - Daniel Vaz

| think that bug was fixed in GDAL #4509

#8 - 2013-07-08 01:35 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"bf1d1b0453ba5bc274cc3a960a2ch6de4e061ee4”.

Files

polygons.zip 1.91 KB 2013-07-07 Daniel Vaz

test_qgsvectordataprovider.py 488 Bytes 2013-07-07 Daniel Vaz

bug8232.cpp 807 Bytes 2013-07-07 Daniel Vaz
http://trac.osgeo.org/gdal/ticket/4509

